#include "time.h"

int DLL_EXPORT VersionMayor()
{
    return 0;
}

int DLL_EXPORT VersionMenor()
{
    return 1;
}

Tiempo::Tiempo(int h, unsigned int m, unsigned int s) : positivo(h>=0), hora(h), minuto(m), segundo(s) {
    if(hora<0) hora = -hora;

    Ajustar();
}

Tiempo::Tiempo(int s) {
    if(s>=0) {
        positivo=true; // Positivo
        minuto=s/60;
        segundo=s%60;
        hora=minuto/60;
        minuto=minuto%60;
    } else { // Tiempos negativos
        positivo=false; // Negativo
        minuto=-s/60;
        segundo=-s%60;
        hora=minuto/60;
        minuto=minuto%60;
    }
}

Tiempo Tiempo::operator+(Tiempo &t) {
    int tf, ta, tb;
    ta = int(*this);
    tb = int(t);
    tf = ta+tb;
    return tf;
}

Tiempo Tiempo::operator-(Tiempo &t) {
    int tf, ta, tb;
    ta = int(*this);
    tb = int(t);
    tf = ta-tb;
    return tf;
}

Tiempo::operator int() {
    int ti = hora*3600+minuto*60+segundo;
    if(!positivo) ti = -ti;
    return ti;
}

void Tiempo::Ajustar() {
    // Convertir a segundos
    int s = int(*this);

    // Convertir a h:m:s
    *this = Tiempo(s);
}
